org.eclnt.jsfserver.elements.componentnodes

## Class CCFEDITNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CCFEDITNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CCFEDITNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCFEDITNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CCFEDITNode` | `bindActionListener(IActionListenerDelegation value)`
    `CCFEDITNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `CCFEDITNode` | `bindCcfcommand(IDynamicContentBindingObject value)`
    `CCFEDITNode` | `bindCcfcommandtrigger(IDynamicContentBindingObject value)`
    `CCFEDITNode` | `bindCcfdata(IDynamicContentBindingObject value)`
    `CCFEDITNode` | `bindComment(IDynamicContentBindingObject value)`
    `CCFEDITNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CCFEDITNode` | `bindHeight(IDynamicContentBindingObject value)`
    `CCFEDITNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CCFEDITNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `CCFEDITNode` | `bindWidth(IDynamicContentBindingObject value)`
    `CCFEDITNode` | `setActionListener(java.lang.String value)`
    `CCFEDITNode` | `setAnimatechangeofsize(boolean value)`
    `CCFEDITNode` | `setAnimatechangeofsize(java.lang.String value)`
    `CCFEDITNode` | `setAttributemacro(java.lang.String value)`
    `CCFEDITNode` | `setCcfcommand(java.lang.String value)`
    `CCFEDITNode` | `setCcfcommandtrigger(java.lang.String value)`
    `CCFEDITNode` | `setCcfdata(java.lang.String value)`
    `CCFEDITNode` | `setComment(java.lang.String value)`
    `CCFEDITNode` | `setComponentbinding(java.lang.String value)`
    `CCFEDITNode` | `setConfiginfo(java.lang.String value)`
    `CCFEDITNode` | `setHeight(int value)`
    `CCFEDITNode` | `setHeight(java.lang.String value)`
    `CCFEDITNode` | `setId(java.lang.String value)`
    `CCFEDITNode` | `setReference(java.lang.String value)`
    `CCFEDITNode` | `setRendered(boolean value)`
    `CCFEDITNode` | `setRendered(java.lang.String value)`
    `CCFEDITNode` | `setStylevariant(java.lang.String value)`
    `CCFEDITNode` | `setWidth(int value)`
    `CCFEDITNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CCFEDITNode

          public CCFEDITNode()

  - ### Method Detail

    - #### setId

          public CCFEDITNode setId(java.lang.String value)

    - #### setActionListener

          public CCFEDITNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CCFEDITNode bindActionListener(IActionListenerDelegation value)

    - #### setAnimatechangeofsize

          public CCFEDITNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public CCFEDITNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public CCFEDITNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public CCFEDITNode setAttributemacro(java.lang.String value)

    - #### setCcfcommand

          public CCFEDITNode setCcfcommand(java.lang.String value)

    - #### bindCcfcommand

          public CCFEDITNode bindCcfcommand(IDynamicContentBindingObject value)

    - #### setCcfcommandtrigger

          public CCFEDITNode setCcfcommandtrigger(java.lang.String value)

    - #### bindCcfcommandtrigger

          public CCFEDITNode bindCcfcommandtrigger(IDynamicContentBindingObject value)

    - #### setCcfdata

          public CCFEDITNode setCcfdata(java.lang.String value)

    - #### bindCcfdata

          public CCFEDITNode bindCcfdata(IDynamicContentBindingObject value)

    - #### setComment

          public CCFEDITNode setComment(java.lang.String value)

    - #### bindComment

          public CCFEDITNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public CCFEDITNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public CCFEDITNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CCFEDITNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public CCFEDITNode setHeight(java.lang.String value)

    - #### bindHeight

          public CCFEDITNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public CCFEDITNode setHeight(int value)

    - #### setReference

          public CCFEDITNode setReference(java.lang.String value)

    - #### setRendered

          public CCFEDITNode setRendered(java.lang.String value)

    - #### bindRendered

          public CCFEDITNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CCFEDITNode setRendered(boolean value)

    - #### setStylevariant

          public CCFEDITNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public CCFEDITNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public CCFEDITNode setWidth(java.lang.String value)

    - #### bindWidth

          public CCFEDITNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public CCFEDITNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.